@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');





* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins';
}

body {
    min-height: 100vh;
    background-color: #444;

}

.head {
    position: sticky;
    top: 0;
    left: 0;
    width: 100%;
    padding: 0.5rem 10%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 20;


}


.head::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    background: linear-gradient(270deg, rgba(34, 34, 34, 0.26) 0%, rgba(85, 85, 85, 1) 50%, rgba(34, 34, 34, 1) 100%);
    z-index: -1;
    backdrop-filter: blur(15px);
}

.navebar a {
    font-size: 1.15rem;
    color: #fff;
    text-decoration: none;
    font-weight: 500;
    margin-left: 2.5rem;
    transition: .2s ease;

    &:hover {
        color: #ED2939;
    }
}


#check {
    display: none;
}

.icons {
    font-size: 2.8rem;
    color: #fff;
    right: 5%;
    cursor: pointer;
    display: none;
    position: absolute;
}

@media (max-width: 992px) {
    .header {
        padding: 1.3rem 5%;
    }

   
}

@media (max-width: 768px) {

    #check:checked~.icons #menu-icon {
        display: none;
    }

    .icons {
        display: inline-flex;
    }

    #check:checked~.icons #close-icon {
        display: block;
    }

    .icons #close-icon {
        display: none;
    }

    .navebar {
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        height: 0;
        background-color: #33333371;
        backdrop-filter: blur(7px);
        overflow: hidden;
        transition: .3s ease;
    }

    #check:checked~.navebar {
        height: 12.7rem;
    }

    .navebar a {
        display: block;
        text-align: center;
        font-size: 1.1rem;
        margin: 1.5rem;

    }
}


.row {
    margin: 0;
}


#rowadr img {
    width: 100%;
    height: auto;
}





.adrtitle {
    /* background-color: rgb(255, 255, 0); */
    position: absolute;
    font-weight: 700;
    color: #EEEBDD;
    display: block;
    margin-left: 20vw;
    margin-top: -1vh;
    height: fit-content;
    font-size: 7vw;
}

.adrtitle span {
    color: CE1212;
    position: relative;
    top: 5vw;
    color: #ED2939;

}

@media only screen and (max-width: 300px) {
    .adrtitle {
        margin-top: -0.4vh;
    }
}


.info {
    background-color: #3A3A3A;
    padding: 12px;
    background-image: url(images/infobg.png);
    justify-items: center;

}


.info h4 {
    color: #dbdbdb;
    font-size: 15px;
}

.info .row {
    border-right: solid 2px;
    border-left: solid 2px;
    border-image:
        linear-gradient(to bottom,
            rgba(0, 0, 0, 0),
            rgb(119, 119, 119),
            rgba(0, 0, 0, 0)) 1 100%;
    justify-content: center;
    gap: 20px;
    padding: 5px;
    text-align: center;


}

@media (min-width: 768px) {
    .info .row {
        display: block;
        padding-left: 80px;
        padding-right: 80px;

    }


    .info .row h4 {
        font-size: 1.5rem;

    }

}





.coluna {
    padding: 5px;
}


#rowprodutos {
    /* background-color: red; */
    gap: 5px;
    justify-content: center;
    margin-bottom: 20px;


}

#rowprodutos .coluna button {
    all: unset;
}

#rowprodutos .coluna {
    background-color: #1D1D1D;
    border-radius: 10px;
    outline: 1px solid rgba(90, 90, 90, 0.500);
    transition: 0.3s ease-in-out;
    flex: 0 0 49%;
    cursor: pointer;




    &:hover {
        outline: solid 1px #ED2939;
        transform: translateY(-5px);
        box-shadow: 0px 20px 15px rgba(0, 0, 0, 0.466);
    }
}

.imgproduto {
    border-radius: 7px;
    max-width: 100%;
    height: auto;

}



#produtos {
    padding-top: 10px;
    text-align: center;
    /* background-color: #2e2e2e; */
    background-image: url(images/infofundo.png);
    background-repeat: no-repeat;
    background-size: cover;
}

#produtos #pprodutos {
    background: -webkit-linear-gradient(#eee, #444);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-size: 70px;
    font-weight: 600;
}

.produtotext {
    all: unset;
    color: white;
    padding-top: 50px;
    font-size: 14px;
    text-align: start;

}

.popoverdesc {
    background-color: rgba(255, 255, 255, 0.192);
    backdrop-filter: blur(15px);
    align-self: center;
    justify-self: center;
    border: none;
    height: 100vh;
    width: 100vw;


}

.coluna button #boxtext {
    padding: 5px;
    padding-top: 20px;
    
}


.popoverdesc #divimgs {

    padding-left: 10px;
    padding-right: 10px;
    overflow-y: scroll;
    -webkit-overflow-scrolling: touch;
    height: 100%;
    width: 100%;
    padding-bottom: 170px;
    -webkit-animation-duration: .5s;
    animation-duration: .5s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    -webkit-animation-name: fadeInDown;
    animation-name: fadeInDown;
}

#divimgs img {
    cursor: default;
}

#divimgs {
    cursor: default;
}

.popoverdesc #divimgs .popfechar {
    background-color: #e4e4e4;
    color: rgb(68, 68, 68);
    height: 5vh;
    width: 80vw;
    margin-top: 30px;
    justify-self: center;
    align-content: center;
    border-radius: 50px;
    outline: 1px solid red;
    transition: .2s ease-in-out;
    cursor: pointer;

    

    &:hover {
        background-color: #cacaca;
    }
}



.popoverdesc img {
    outline: 1px solid #ED2939;
    border-radius: 15px;
    margin-top: 20px;
    box-shadow: 0px 0px 30px black;
    
}



#contatos .contatos {
    background-color: #111111;
    color: whitesmoke;
    padding-left: 10px;
    padding-top: 15px;
    padding-bottom: 5px;


}

#contatos .contatos .row img {
    width: 18px;
    height: 18px;
}

#contatos .contatos .row a {
    all: unset;
    cursor: pointer;
    transition: .2s ease;


    &:hover {
        color: #ED2939;
    }
}

#contatos .contatos .row p {
    all: unset;
}

#contatos .contatos .row {
    align-items: center;
    gap: 10px;
    margin-bottom: 15px;
}

html {
    scroll-behavior: smooth;
}


@media (min-width: 992px) {

    #rowprodutos .coluna {
        flex: 0 0 20%;

    }

    #rowprodutos {

        gap: 40px 15px;
       

    }

    #divimgs img
    {
        margin-top: 12vh;
    }

    .popoverdesc #divimgs .popfechar
    {
        margin-top: 10vh;
    }

    
 

    .produtotext
    {
        font-size: 1rem;
    }


}

@media (min-height: 720px) {
    .popoverdesc {
        
        overflow: hidden;

    }
    



    .popoverdesc #divimgs img {

        height: 70%;
        margin-left: 1vw;
        margin-right: 1vw;
        transition: .3s ease-in-out;

        &:hover {
            outline: solid 1px #ED2939;
            transform: translateY(-5px);
    
        }

    }

    .popoverdesc #divimgs .popfechar {
        width: 30vw;
    }


}



@-webkit-keyframes fadeInDown {
    from {
      opacity: 0;
      -webkit-transform: translate3d(0, -100%, 0);
      transform: translate3d(0, -100%, 0);
    }
  
    to {
      opacity: 1;
      -webkit-transform: translate3d(0, 0, 0);
      transform: translate3d(0, 0, 0);
    }
  }
  
  @keyframes fadeInDown {
    from {
      opacity: 0;
      -webkit-transform: translate3d(0, -100%, 0);
      transform: translate3d(0, -100%, 0);
    }
  
    to {
      opacity: 1;
      -webkit-transform: translate3d(0, 0, 0);
      transform: translate3d(0, 0, 0);
    }
  }
  

  
@media (min-width: 1550px)
{
    #rowprodutos .coluna {
       
        flex: 0 0 17%;

    }
}